Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## anl.repast.gis.data.dbf
Class JDBField

    java.lang.Object
      anl.repast.gis.data.dbf.JDBField

    public class JDBField

extends java.lang.Object

Title: JDBF

Description: A database field. Its attributes are name, type, length, and decimal count.

Copyright : Copyright (c) 2004

Société : FUCaM-GTM

Version:
  1.0
Author:
  Bart Jourquin, adapted from original free lib by SV Consulting (http://www.svcon.com/)

Constructor Summary
`JDBField(java.lang.String s, char c, int i, int j)` Construct a database field with a given name, type, length, and decimal count.

Method Summary
`java.lang.String` | `format(java.lang.Object obj)` Formats a value to its String representation, based on the fields
`int` | `getDecimalCount()` Returns the decimal count of the field.
`int` | `getLength()` Returns the length of the field.
`java.lang.String` | `getName()` Returns the name of the field.
`char` | `getType()` Returns the type of the field.
`java.lang.Object` | `parse(java.lang.String s)` Parses a formatted String and returns an object of type, corresponding to this field.
`java.lang.String` | `toString()` Returns the String representation of the JDBField.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JDBField

    public JDBField(java.lang.String s,
                    char c,
                    int i,
                    int j)
             throws JDBFException

  Construct a database field with a given name, type, length, and decimal count.

  Parameters:
    `s` - String
    `c` - char
    `i` - int
    `j` - int
  Throws:
    `JDBFException`

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the field.

  Returns:
    String

### getType

    public char getType()

  Returns the type of the field.

  Returns:
    char

### getLength

    public int getLength()

  Returns the length of the field.

  Returns:
    int

### getDecimalCount

    public int getDecimalCount()

  Returns the decimal count of the field.

  Returns:
    int

### format

    public java.lang.String format(java.lang.Object obj)
                            throws JDBFException

  Formats a value to its String representation, based on the fields

  Parameters:
    `obj` - Object
  Returns:
    String
  Throws:
    `JDBFException`

### parse

    public java.lang.Object parse(java.lang.String s)
                           throws JDBFException

  Parses a formatted String and returns an object of type, corresponding to this field.

  Parameters:
    `s` - String
  Returns:
    Object
  Throws:
    `JDBFException`

### toString

    public java.lang.String toString()

  Returns the String representation of the JDBField.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD